Bug 448684 - groupd fails sanity checks
groupd fails sanity checks
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Teigland
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 04:11 EDT by Fabio Massimo Di Nitto
Modified: 2008-12-15 09:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 09:46:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2008-05-28 04:11:04 EDT
Description of problem:

I have a local gfs2 (no_lock) partition mounted locally as /home.

I am only attempting to startup cman and the rest of the stack for testing
but groupd fails:

[root@cerberus ~]# groupd -D
1211961991 cman: our nodeid 66 name cerberus quorum 0
1211961991 found uncontrolled kernel object dm-1 in /sys/fs/gfs2
1211961991 local node must be reset to clear 1 uncontrolled instances of gfs
and/or dlm


Version-Release number of selected component (if applicable):

2.03.02/stable2

How reproducible:

always

Steps to Reproduce:
1. create a local partition gfs2+no_lock and mount it via fstab / gfs2-utils script
2. start cman
3. start groupd
  
Actual results:

groupd fails to start (for other reasons cman seems to bail out too - to be
investigated)

Expected results:

groupd should ignore no_lock instances.
Comment 1 John Poelstra 2008-10-15 19:25:38 EDT
This bug has been triaged
Comment 2 Bug Zapper 2008-11-25 21:20:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Steve Whitehouse 2008-12-15 06:32:05 EST
I think this has been fixed now. Perhaps we can close this one?

Note You need to log in before you can comment on or make changes to this bug.